Bug 146918 - missing drivers for lexmark printers
Summary: missing drivers for lexmark printers
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: cups   
(Show other bugs)
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-02-02 18:57 UTC by Riku Seppala
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-02 22:11:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Riku Seppala 2005-02-02 18:57:46 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20041020

Description of problem:
Dunno if this really is the correct way to report this but hopefully
now atleast you know the problem. I have lexmark p3150 all-in-one
printer. (printer and scanner) FC3 recognized it correctly as lexmark
3100 series, but printer configuration dont have it listed. 

There is Developer's Kit on lexmark website:
http://www.lexmark.com/US/products/info/linux/

Also, there is linux driver for it: 
http://users.cybercity.dk/~dko12479/

Though I couldn't make it work.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. run printer configuration with lexmark p3150 attached (or some
other lexmark printer)
2. try choose correct lexmark model, not listed
3.
    

Actual Results:  No driver, can't install

Expected Results:  choose the correct model from printer
configuration. Start printing :)

Additional info:

Comment 1 Tim Waugh 2005-02-02 22:11:26 UTC
Uncertain license => not a lot we can do with it.

Comment 2 Riku Seppala 2005-02-04 21:43:38 UTC
The driver at http://users.cybercity.dk/~dko12479/ is GPL. At least that what it
says in the readme: 

Z55 Sample CUPS Printer Driver is distributed under GNU General Public License
(GPL).

Comment 3 Tim Waugh 2005-03-30 15:32:09 UTC
Does say what version (for example).  You need to put the entire license
agreement in the package, at the very minimum.

Comment 4 Riku Seppala 2005-03-30 15:56:43 UTC
Maybe it's my bad english but I don't understand what you are saying :) So sorry
if my comments are wrong.

In the package
http://users.cybercity.dk/%7Edsl145780/lexmark-z700-cups-driver-1.1.1-1.src.tar.gz
is the file COPYING, which is GNU GENERAL PUBLIC LICENSE Version 2, June 1991 ...

Comment 5 Tim Waugh 2005-03-30 16:06:23 UTC
That file is not the complete source.


Note You need to log in before you can comment on or make changes to this bug.